AbstractExceptionHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.example.errorhandler.AbstractExceptionHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.errorhandler
Class AbstractExceptionHandler

    java.lang.Object
      org.mule.example.errorhandler.AbstractExceptionHandler

All Implemented Interfaces:
  ExceptionHandler

Direct Known Subclasses:
  BusinessHandler, DefaultHandler

    public abstract class AbstractExceptionHandler

extends Object
implements ExceptionHandler

`AbstractExceptionListener` TODO (document class)

Field Summary
`protected ErrorManager` | `errorManager`
`protected HashMap` | `registry`

Constructor Summary
`AbstractExceptionHandler()`

Method Summary
`String` | `getendpointName()`
`ErrorManager` | `getErrorManager()`
`Iterator` | `getRegisteredClasses()`
`boolean` | `isRegisteredFor(Class exceptionClass)`
`void` | `onException(ErrorMessage message)`
`protected abstract void` | `processException(ErrorMessage message, Throwable t)`
`void` | `registerException(Class exceptionClass)`
`void` | `setEndpointName(String endpointName)`
`void` | `setErrorManager(ErrorManager errorManager)`
`void` | `unRegisterException(Class exceptionClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registry

    protected HashMap registry

### errorManager

    protected ErrorManager errorManager

Constructor Detail

### AbstractExceptionHandler

    public AbstractExceptionHandler()

Method Detail

### registerException

    public void registerException(Class exceptionClass)

  Specified by:
    `registerException` in interface `ExceptionHandler`

### getRegisteredClasses

    public Iterator getRegisteredClasses()

  Specified by:
    `getRegisteredClasses` in interface `ExceptionHandler`

### unRegisterException

    public void unRegisterException(Class exceptionClass)

  Specified by:
    `unRegisterException` in interface `ExceptionHandler`

### isRegisteredFor

    public boolean isRegisteredFor(Class exceptionClass)

  Specified by:
    `isRegisteredFor` in interface `ExceptionHandler`

### onException

    public void onException(ErrorMessage message)
                     throws HandlerException

  Specified by:
    `onException` in interface `ExceptionHandler`
  Throws:
    `HandlerException`

### processException

    protected abstract void processException(ErrorMessage message,
                                             Throwable t)
                                      throws HandlerException

  Throws:
    `HandlerException`

### getErrorManager

    public ErrorManager getErrorManager()

  Specified by:
    `getErrorManager` in interface `ExceptionHandler`
  Returns:
    Returns the errorManager.

### setErrorManager

    public void setErrorManager(ErrorManager errorManager)

  Specified by:
    `setErrorManager` in interface `ExceptionHandler`
  Parameters:
    `errorManager` - The errorManager to set.

### getendpointName

    public String getendpointName()

  Returns:
    Returns the endpointName.

### setEndpointName

    public void setEndpointName(String endpointName)

  Parameters:
    `endpointName` - The endpointName to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.